Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet
Class PortletConstants

    java.lang.Object
      org.apache.struts2.portlet.PortletConstants

    public class PortletConstants

extends Object

Field Summary
`static String` | `ACTION_MAPPING` Key for the action mapping in the context
`static String` | `ACTION_PARAM` Action name parameter name
`static String` | `ACTION_RESET` Key for request attribute indicating if the action has been reset.
`static String` | `DEFAULT_ACTION_FOR_MODE` Key for the default action name for the portlet, stored in the `PortletActionContext`.
`static String` | `DEFAULT_ACTION_MAP` Key for the mode-to-default-action map stored in the `PortletActionContext`.
`static String` | `DEFAULT_ACTION_NAME` Default action name to use when no default action has been configured in the portlet init parameters.
`static String` | `DEFAULT_DISPATCHER_SERVLET_NAME` Default name of dispatcher servlet in web.xml
`static String` | `DISPATCH_TO` Key for the dispatch instruction for the `DispatcherServlet`
`static String` | `ERROR_ACTION` Name of the action used as error handler
`static String` | `EVENT_ACTION` Key used for looking up and storing the action that was invoked in the action or event phase.
`static String` | `MODE_NAMESPACE_MAP` Key for the mode-to-namespace map stored in the `PortletActionContext`.
`static String` | `MODE_PARAM` Key for parameter holding the last executed portlet mode.
`static String` | `PHASE` Key used for looking up and storing the portlet phase
`static String` | `PORTLET_CONFIG` Key used for looking up and storing the `PortletConfig`
`static String` | `PORTLET_NAMESPACE` Key for the portlet namespace stored in the `PortletActionContext`.
`static String` | `RENDER_DIRECT_LOCATION` Key for session attribute indicating the location of the render direct action.
`static String` | `RENDER_DIRECT_NAMESPACE` Namespace use for executing the renderDirect action.
`static String` | `REQUEST` Key used for looking up and storing the `PortletRequest`
`static String` | `RESPONSE` Key used for looking up and storing the `PortletResponse`
`static String` | `STACK_FROM_EVENT_PHASE` Session key where the value stack from the event phase is stored.

Constructor Summary
`PortletConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ACTION_NAME

    public static String DEFAULT_ACTION_NAME

  Default action name to use when no default action has been configured in the portlet init parameters.

### ACTION_PARAM

    public static String ACTION_PARAM

  Action name parameter name

### MODE_PARAM

    public static String MODE_PARAM

  Key for parameter holding the last executed portlet mode.

### PHASE

    public static String PHASE

  Key used for looking up and storing the portlet phase

### REQUEST

    public static String REQUEST

  Key used for looking up and storing the `PortletRequest`

### RESPONSE

    public static String RESPONSE

  Key used for looking up and storing the `PortletResponse`

### EVENT_ACTION

    public static String EVENT_ACTION

  Key used for looking up and storing the action that was invoked in the action or event phase.

### PORTLET_CONFIG

    public static String PORTLET_CONFIG

  Key used for looking up and storing the `PortletConfig`

### ERROR_ACTION

    public static String ERROR_ACTION

  Name of the action used as error handler

### PORTLET_NAMESPACE

    public static String PORTLET_NAMESPACE

  Key for the portlet namespace stored in the `PortletActionContext`.

### MODE_NAMESPACE_MAP

    public static String MODE_NAMESPACE_MAP

  Key for the mode-to-namespace map stored in the `PortletActionContext`.

### DEFAULT_ACTION_MAP

    public static String DEFAULT_ACTION_MAP

  Key for the mode-to-default-action map stored in the `PortletActionContext`.

### DEFAULT_ACTION_FOR_MODE

    public static String DEFAULT_ACTION_FOR_MODE

  Key for the default action name for the portlet, stored in the `PortletActionContext`.

### ACTION_RESET

    public static String ACTION_RESET

  Key for request attribute indicating if the action has been reset.

### RENDER_DIRECT_LOCATION

    public static String RENDER_DIRECT_LOCATION

  Key for session attribute indicating the location of the render direct action.

### RENDER_DIRECT_NAMESPACE

    public static String RENDER_DIRECT_NAMESPACE

  Namespace use for executing the renderDirect action. Necessary to get the namespaces on s:urls correct.

### DISPATCH_TO

    public static String DISPATCH_TO

  Key for the dispatch instruction for the `DispatcherServlet`

### STACK_FROM_EVENT_PHASE

    public static String STACK_FROM_EVENT_PHASE

  Session key where the value stack from the event phase is stored.

### DEFAULT_DISPATCHER_SERVLET_NAME

    public static String DEFAULT_DISPATCHER_SERVLET_NAME

  Default name of dispatcher servlet in web.xml

### ACTION_MAPPING

    public static String ACTION_MAPPING

  Key for the action mapping in the context

Constructor Detail

### PortletConstants

    public PortletConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.